#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
bool cmp(pair<int,int> a, pair<int,int> b) {
    return (a.first > b.first);
}
int main()
{
    // DUPLA PETLJA
    if (n <= 1000) {
        ll a[n]; double p[n];
        for (int i = 0; i < n; ++i) cin >> a[i] >> p[i];

        double resMax = 0, res;
        for (int i = 0; i < n; ++i) {
            double porez = p[i];
            res = 0;
            for (int j = 0; j < n; ++j)
                if (porez <= p[j]) res += a[j]*(porez/100);
            if (resMax < res) resMax = res;
        }
        printf("%f", resMax);
    } else {

        pair<ll, double> f[n];
        for (int i = 0; i < n; ++i) {
            ll ai; double pi; cin >> ai >> pi;
            f[i].first = ai; f[i].second = pi;
        }

        bool sviIsti = true; ll poc = f[0].first;
        for (int i = 0; i < n; ++i) if (f[i].first != poc) { sviIsti = false; break; }

        // AKO SU SVI ISTI POREZ JE MEDIJANA
        if (sviIsti == true) {
            double prosek = 0, porez = LONG_MAX;
            for (int i = 0; i < n; ++i) prosek += f[i].second; prosek /= n;
            for (int i = 0; i < n; ++i)
            if (f[i].second >= prosek)
                porez = min(porez, f[i].second);

            double sum = 0;
            for (int i = 0; i < n; ++i) if (f[i].second >= porez) sum += (f[i].first*(porez/100));
            printf("%f", sum);
        } else {
            sort(f, f+n, cmp);
            double res = 0, maxRes = 0, porez;

            // for first
            porez = f[0].second;
            for (int i = 0; i < n; ++i)
                if (porez <= f[i].second)
                    maxRes += f[i].first*(porez/100);

            // for rest
            for (int i = 1; i < n; ++i) {
                porez = f[i].second;
                res = 0;

                for (int j = 0; j < n; ++j)
                    if (porez <= f[j].second)
                        res += f[j].first*(porez/100);
                if (res < maxRes) break;
                else maxRes = res;
            }

            printf("%f", maxRes);
        }
    }

    return 0;
}